Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.util
Class MessageUtils

    java.lang.Object
      org.apache.james.mime4j.util.MessageUtils

    public final class MessageUtils

extends java.lang.Object

Frequently used RFC 882 constants and utility methods.

Version:
  $Id:$

Field Summary
`static java.nio.charset.Charset` | `ASCII`
`static int` | `CR`
`static java.lang.String` | `CRLF`
`static java.nio.charset.Charset` | `DEFAULT_CHARSET`
`static int` | `HT`
`static java.nio.charset.Charset` | `ISO_8859_1`
`static int` | `LENIENT`
`static int` | `LF`
`static int` | `SP`
`static int` | `STRICT_ERROR`
`static int` | `STRICT_IGNORE`

Constructor Summary
`MessageUtils()`

Method Summary
`static boolean` | `isASCII(char ch)`
`static boolean` | `isASCII(java.lang.String s)`
`static boolean` | `isWhitespace(char ch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRICT_IGNORE

    public static final int STRICT_IGNORE

See Also:
  Constant Field Values

### STRICT_ERROR

    public static final int STRICT_ERROR

See Also:
  Constant Field Values

### LENIENT

    public static final int LENIENT

See Also:
  Constant Field Values

### ASCII

    public static final java.nio.charset.Charset ASCII

### ISO_8859_1

    public static final java.nio.charset.Charset ISO_8859_1

### DEFAULT_CHARSET

    public static final java.nio.charset.Charset DEFAULT_CHARSET

### CRLF

    public static final java.lang.String CRLF

See Also:
  Constant Field Values

### CR

    public static final int CR

See Also:
  Constant Field Values

### LF

    public static final int LF

See Also:
  Constant Field Values

### SP

    public static final int SP

See Also:
  Constant Field Values

### HT

    public static final int HT

See Also:
  Constant Field Values

Constructor Detail

### MessageUtils

    public MessageUtils()

Method Detail

### isASCII

    public static boolean isASCII(char ch)

### isASCII

    public static boolean isASCII(java.lang.String s)

### isWhitespace

    public static boolean isWhitespace(char ch)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.